<template>
  <protected-view>
    <banner-mobile :theme-properties="themeProperties" actived="GameInitial" />
    <lobby-render :games="games ?? []" :grid="2" class="m-2" />
  </protected-view>
</template>
<script lang="ts">
import _ from "lodash";
import { store } from "@/store";
import { gameStore } from "~~/store/game";

export default defineComponent({
  name: "Game",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const games = computed(() =>
      _.sortBy(gameStore.state.games, ["DisplayOrder"])
    );
    return {
      games,
      themeProperties,
    };
  },
});
</script>
